Get a run's audit profile
curl --request GET \
--url https://server.promptwatch.com/api/v2/site-audit/profile \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/site-audit/profile"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/site-audit/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.promptwatch.com/api/v2/site-audit/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://server.promptwatch.com/api/v2/site-audit/profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://server.promptwatch.com/api/v2/site-audit/profile")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.promptwatch.com/api/v2/site-audit/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"contentProfile": null,
"linkProfile": {
"clickDepth": {
"0": 1,
"1": 5,
"unreachable": 2
},
"externalDomainsAvg": 0.8,
"externalLinksAvg": 2.5,
"inContentLinksAvg": 3,
"internalLinksAvg": 12
},
"runId": "6ba7b820-9dad-11d1-80b4-00c04fd430c8",
"slowestPages": {
"pages": [
{
"bytes": 120000,
"downloadMs": 900,
"statusCode": 200,
"ttfbMs": 1500,
"url": "https://example.com/slow",
"urlHash": "ff66"
}
],
"total": 1
}
}{
"error": "Bad Request",
"code": "DATE_RANGE_TOO_LARGE",
"message": "Date range cannot exceed 92 days"
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "SITE_AUDIT_RUN_NOT_FOUND",
"message": "Site audit run not found"
}{
"code": "SITE_AUDIT_RUN_NOT_FOUND",
"message": "Site audit run not found"
}{
"code": "SITE_AUDIT_RUN_NOT_FOUND",
"message": "Site audit run not found"
}Site Audit
Get a run's audit profile
Link profile (click depth and links per page), content profile (titles, headings, word count, freshness) and the slowest pages by time to first byte. Omit runId for the newest finished run.
GET
/
site-audit
/
profile
Get a run's audit profile
curl --request GET \
--url https://server.promptwatch.com/api/v2/site-audit/profile \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/site-audit/profile"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/site-audit/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.promptwatch.com/api/v2/site-audit/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://server.promptwatch.com/api/v2/site-audit/profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://server.promptwatch.com/api/v2/site-audit/profile")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.promptwatch.com/api/v2/site-audit/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"contentProfile": null,
"linkProfile": {
"clickDepth": {
"0": 1,
"1": 5,
"unreachable": 2
},
"externalDomainsAvg": 0.8,
"externalLinksAvg": 2.5,
"inContentLinksAvg": 3,
"internalLinksAvg": 12
},
"runId": "6ba7b820-9dad-11d1-80b4-00c04fd430c8",
"slowestPages": {
"pages": [
{
"bytes": 120000,
"downloadMs": 900,
"statusCode": 200,
"ttfbMs": 1500,
"url": "https://example.com/slow",
"urlHash": "ff66"
}
],
"total": 1
}
}{
"error": "Bad Request",
"code": "DATE_RANGE_TOO_LARGE",
"message": "Date range cannot exceed 92 days"
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "SITE_AUDIT_RUN_NOT_FOUND",
"message": "Site audit run not found"
}{
"code": "SITE_AUDIT_RUN_NOT_FOUND",
"message": "Site audit run not found"
}{
"code": "SITE_AUDIT_RUN_NOT_FOUND",
"message": "Site audit run not found"
}Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Slowest pages to return (default 10, max 50)
Required range:
1 <= x <= 50Defaults to the latest finished run
Response
Default Response
How the run's pages are titled, headed and sized; null when the run checked nothing
Show child attributes
Show child attributes
Per-page link averages; null when the run checked nothing
Show child attributes
Show child attributes
Example:
{
"clickDepth": { "0": 1, "1": 5, "unreachable": 2 },
"externalDomainsAvg": 0.8,
"externalLinksAvg": 2.5,
"inContentLinksAvg": 3,
"internalLinksAvg": 12
}
Run the response was read from
Show child attributes
Show child attributes
Example:
{
"pages": [
{
"bytes": 120000,
"downloadMs": 900,
"statusCode": 200,
"ttfbMs": 1500,
"url": "https://example.com/slow",
"urlHash": "ff66"
}
],
"total": 1
}